export declare class CSharpType {
    readonly namespace: string;
    readonly name: string;
    readonly inherits: string[];
    constructor(namespace: string, name: string, inherits: string[]);
}
export declare class CSharpClassOrStructOrInterface extends CSharpType {
    readonly namespace: string;
    readonly name: string;
    readonly inherits: string[];
    readonly constructors: CSharpContructor[];
    readonly properties: CSharpProperty[];
    constructor(namespace: string, name: string, inherits: string[], constructors: CSharpContructor[], properties: CSharpProperty[]);
}
export declare class CSharpMemberType {
    readonly name: string;
    readonly isNullable: boolean;
    readonly isCollection: boolean;
    constructor(name: string, isNullable: boolean, isCollection: boolean);
}
export declare class CSharpContructor {
    readonly parameters: CSharpParameter[];
    constructor(parameters: CSharpParameter[]);
}
export declare class CSharpMember {
    readonly type: CSharpMemberType;
    readonly name: string;
    constructor(type: CSharpMemberType, name: string);
}
export declare class CSharpProperty extends CSharpMember {
    readonly type: CSharpMemberType;
    readonly name: string;
    constructor(type: CSharpMemberType, name: string);
}
export declare class CSharpParameter extends CSharpMember {
    type: CSharpMemberType;
    name: string;
    defaultValue: string;
    constructor(type: CSharpMemberType, name: string, defaultValue: string);
}
export declare class CSharpEnum extends CSharpType {
    namespace: string;
    name: string;
    inherits: string[];
    entries: CSharpEnumEntry[];
    constructor(namespace: string, name: string, inherits: string[], entries: CSharpEnumEntry[]);
}
export declare class CSharpEnumEntry {
    name: string;
    value: number;
    constructor(name: string, value: number);
}
