"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CSharpType {
    constructor(namespace, name, inherits) {
        this.namespace = namespace;
        this.name = name;
        this.inherits = inherits;
    }
}
exports.CSharpType = CSharpType;
class CSharpClassOrStructOrInterface extends CSharpType {
    constructor(namespace, name, inherits, constructors, properties) {
        super(namespace, name, inherits);
        this.namespace = namespace;
        this.name = name;
        this.inherits = inherits;
        this.constructors = constructors;
        this.properties = properties;
    }
}
exports.CSharpClassOrStructOrInterface = CSharpClassOrStructOrInterface;
class CSharpMemberType {
    constructor(name, isNullable, isCollection) {
        this.name = name;
        this.isNullable = isNullable;
        this.isCollection = isCollection;
    }
}
exports.CSharpMemberType = CSharpMemberType;
class CSharpContructor {
    constructor(parameters) {
        this.parameters = parameters;
    }
}
exports.CSharpContructor = CSharpContructor;
class CSharpMember {
    constructor(type, name) {
        this.type = type;
        this.name = name;
    }
}
exports.CSharpMember = CSharpMember;
class CSharpProperty extends CSharpMember {
    constructor(type, name) {
        super(type, name);
        this.type = type;
        this.name = name;
    }
}
exports.CSharpProperty = CSharpProperty;
class CSharpParameter extends CSharpMember {
    constructor(type, name, defaultValue) {
        super(type, name);
        this.type = type;
        this.name = name;
        this.defaultValue = defaultValue;
    }
}
exports.CSharpParameter = CSharpParameter;
class CSharpEnum extends CSharpType {
    constructor(namespace, name, inherits, entries) {
        super(namespace, name, inherits);
        this.namespace = namespace;
        this.name = name;
        this.inherits = inherits;
        this.entries = entries;
    }
}
exports.CSharpEnum = CSharpEnum;
class CSharpEnumEntry {
    constructor(name, value) {
        this.name = name;
        this.value = value;
    }
}
exports.CSharpEnumEntry = CSharpEnumEntry;
//# sourceMappingURL=c-sharp-objects.js.map