"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function generateEnum(cSharpEnum) {
    'use strict';
    let nextIndex = 0;
    const entryStrings = [];
    for (const entry of cSharpEnum.entries) {
        entryStrings.push(`${entry.name} = ${entry.value || nextIndex}`);
        nextIndex = isNaN(entry.value) ? nextIndex + 1 : entry.value + 1;
    }
    return `export enum ${cSharpEnum.name} {\n  ${entryStrings.join(',\n  ')}\n}`;
}
exports.generateEnum = generateEnum;
//# sourceMappingURL=generate-enum.js.map